[rspec-users] cucumber generator error in rails 3

Tero Tilus tero at tilus.net
Mon Sep 27 03:25:09 EDT 2010

Senthil kumar Loganathan, 2010-09-27 08:11:
> Did I missed any gems or do I need to do any configurations?

I had cucumber:install work fine with rails3.  Did you remember to
`bundle install`?  Also you did not seem to have Rails in your
Gemfile.  Do you have it vendored or?  If `rails --version` is
different from `script/rails --version` you might want to use the

My Gemfile looks like this.

  gem 'rails', '3.0.0'
  gem 'authlogic', :git => 'http://github.com/binarylogic/authlogic.git'

  group :production do
    gem 'mysql2'

  group :test do
    gem 'rspec-rails', '>= 2.0.0.beta.22'
    gem 'cucumber-rails'
    gem 'capybara'

  group :development do
    gem 'sqlite3-ruby', :require => 'sqlite3'
    gem 'ruby-debug'

You can use `bundle list` and `bundle show` to see what you have and
where did they come from.  `script/rails g` should list the generators
you have, including the two Cucumber generators.

Bundler basics, see http://gembundler.com/rationale.html

Tero Tilus ## 050 3635 235 ## http://tero.tilus.net/

More information about the rspec-users mailing list